io.vertx.rxjava3.ext.auth.oauth2.providers

## Class LiveAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.oauth2.providers.LiveAuth

-     public class LiveAuth
      extends Object

  Simplified factory to create an for live.com Services.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<LiveAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveAuth(LiveAuth delegate)`
    `LiveAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for live.com
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for live.com
    `boolean` | `equals(Object o)`
    `LiveAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static LiveAuth` | `newInstance(LiveAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<LiveAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### LiveAuth

          public LiveAuth(LiveAuth delegate)

    - #### LiveAuth

          public LiveAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public LiveAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for live.com
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by live.com
        `clientSecret` - the client secret given to you by live.com
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for live.com
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by live.com
        `clientSecret` - the client secret given to you by live.com
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static LiveAuth newInstance(LiveAuth arg)

Copyright © 2024 Eclipse. All rights reserved.